package com.danmassey.rugbe.parsers;

import java.util.StringTokenizer;

import com.danmassey.rugbe.board.Pkg;
import com.danmassey.rugbe.net.ComChannel;

/**
 * 
 * 
 * @author dan
 * Created on Aug 31, 2002
 **/
public class PackageParser {

	/**
	 * Method parse.
	 * @param com
	 * @return Package[]
	 */
	public Pkg[] parse(ComChannel com) {
		String packageString = com.readLine();
		StringTokenizer tokens = new StringTokenizer(packageString);
		Pkg[] packages = new Pkg[tokens.countTokens() / 4];
		for (int i = 0; i < packages.length; i++) {
			int id = Integer.parseInt(tokens.nextToken());
			int destX = Integer.parseInt(tokens.nextToken());
			int destY = Integer.parseInt(tokens.nextToken());
			int weight = Integer.parseInt(tokens.nextToken());
			packages[i] = new Pkg(id, destX, destY, weight);
		}
		return packages;
	}

}
