package com.danmassey.rugbe.ui;

import java.awt.Graphics;
import java.awt.Rectangle;

import javax.swing.JPanel;

/**
 * 
 * 
 * @author dan
 * Created on Aug 31, 2002
 **/
public class MapPanel extends JPanel {
	private DebugUI ui;
	
	/**
	 * Constructor MapPanel.
	 * @param debugUI
	 */
	public MapPanel(DebugUI ui) {
		this.ui = ui;
	}

		
	/**
	 * @see javax.swing.JComponent#paintComponent(Graphics)
	 */
	protected void paintComponent(Graphics g) {
		super.paintComponent(g);
		ui.drawWorldGraphics(g);
	}

	/**
	 * @see java.awt.Component#update(Graphics)
	 */
	public void update(Graphics g) {
		super.update(g);
		paintComponent(g);
	}

}
