package com.danmassey.rugbe.brain;

import java.util.LinkedHashMap;
import java.util.ResourceBundle;

import com.danmassey.rugbe.board.Board;
import com.danmassey.rugbe.board.Pkg;
import com.danmassey.rugbe.interpreter.ResponseInterpreter;
import com.danmassey.rugbe.net.ComChannel;
import com.danmassey.rugbe.robot.Robot;
import com.danmassey.rugbe.ui.DebugUI;

/**
 * 
 * 
 * @author dan
 * Created on Aug 30, 2002
 **/
public interface IBrain {
	
	/**
	 * Constructor Brain.
	 * @param robot
	 * @param board
	 * @param nbots
	 **/
	void init(Robot robot, Board board, LinkedHashMap nbots,
			ComChannel com, ResourceBundle bundle, DebugUI ui);
	
	/**
	 * Method process.
	 **/
	void process(Pkg[] packages);


}
