package com.danmassey.rugbe.brain;

import java.util.LinkedHashMap;
import java.util.ResourceBundle;

import com.danmassey.rugbe.board.Board;
import com.danmassey.rugbe.board.Pkg;
import com.danmassey.rugbe.net.ComChannel;
import com.danmassey.rugbe.robot.Robot;
import com.danmassey.rugbe.ui.DebugUI;

/**
 * 
 * 
 * @author dan
 * Created on Aug 31, 2002
 **/
public class RandomMoveBrain implements IBrain {
	private ComChannel com;

	/**
	 * @see com.danmassey.rugbe.brain.IBrain#init(Robot, Board, LinkedHashMap, ComChannel, ResourceBundle)
	 */
	public void init(
		Robot robot,
		Board board,
		LinkedHashMap nbots,
		ComChannel com,
		ResourceBundle bundle,
		DebugUI ui) {
			this.com = com;
	}

	/**
	 * @see com.danmassey.rugbe.brain.IBrain#process(Pkg[])
	 */
	public void process(Pkg[] packages) {
		int option = (int) (Math.random() * 4);
		switch (option) {
			case 0:
				com.move(ComChannel.NORTH, 1);
				break;
				
			case 1:
				com.move(ComChannel.EAST, 1);
				break;
				
			case 2:
				com.move(ComChannel.SOUTH, 1);
				break;
				
			case 3: 
				com.move(ComChannel.WEST, 1);
				break;
			
			default:
				// can't reach this	
		}
	}

}
